import { get, post, url} from '../index'

class ComposeTest {
  // 试卷拆题上传地址接口
  @url("/wisdom/user/fileserver/get-split-upload-url")
  @get
  getUploadUrl() {}
  // 试卷拆题上传地址接口
  @url("/work/worldsplit/save")
  @post
  saveWorldSplit() {}
  // 获取作业详细信息
  @url("/work/worldsplit/question/list")
  @post
  getQuestionList() {}
  //设置作业相关属性信息
  @url("/work/worldsplit/update-batch")
  @post
  wordUpdateBatch() {}
  //学生作答
  @url("/work/matchingexercises/add-student-work")
  @post
  addStudentWork() {}
  //发布作业
  @url("/work/worldsplit/release")
  @post
  worldSplitRelease() {}
  //作答结果
  @url("/work/matchingexercises/result-student-work")
  @post
  stuWorkResult() {}
  //学生情况
  @url("/work/matchingexercises/student-respond-situation")
  @post
  stuWorkSituation() {}
  //调整截止时间接口
  @url("/work/matchingexercises/adjustment-endtime")
  @post
  adjustEndTime() {}
  //催促接口
  @url("/work/matchingexercises/urge")
  @post
  getUrge() {}
  //总体作答情况
  @url("/work/matchingexercises/list-overall-answer")
  @post
  getOverAll() {}
  //单题答题详情
  @url("/work/worldsplit/statistic/detail-overall-answer")
  @post
  getEachState() {}
  //批阅获取已完成的学生列表
  @url("/work/worldsplit/marking/complete-list")
  @post
  getFinishWorkStu() {}
  //批阅获取题目的已完成的学生列表
  @url("/work/worldsplit/marking/question-complete-list")
  @post
  getQuesOverStu() {}
  //学生答案详情
  @url("/work/worldsplit/question/detail-student-answer")
  @post
  getStuDetailAnsw() {}
  //学生题目答案详情
  @url("/work/worldsplit/marking/question-answer-detail")
  @post
  getStuQuesAnsw() {}
  //批改
  @url("/work/worldsplit/marking/correct")
  @post
  updatCheck() {}

  //作业已发布的班级
  @url("/work/composite/get-released-class")
  @get
  getReleasedClass() {}

  //主观题单题学生列表和学生作答内容
  @url("/work/worldsplit/statistic/subjective-question-answer-statistic-detail")
  @post
  getSubjectiveDetail() {}
  //获取单题学生列表
  @url("/work/matchingexercises/list-student-overall-answer")
  @post
  getoneQuesStu() {}

  //判断是否在讲授名单中
  @url("/instruct/judge-instruct")
  @get
  getStuOnInstructList() {}

  //添加讲授
  @url("instruct/add")
  @post
  setStuAddInstructList() {}

  //移除讲授
  @url("/instruct/delete")
  @post
  setStuRemoveInstructList() {}

}



export default new ComposeTest()
