/**
 * Created by lgzhang08@gmail.com 20161012
 * api相关的url处理类
 */
class DoPathBase {

  constructor() {

  }


//处理图片路径和base64图片
  doPathBase(content, path) {
    var regImg = /<(img|IMG)(\s|[^>]+)type(\=|\s\=\s)\"uploadImg\"([^>]+\>|\>)/gi //匹配 img
    var regAudioPath = /<(audio|AUDIO)(\s|[^>]+)type(\=|\s\=\s)\"music\"([^>]+\>|\>)<\/(audio|AUDIO)>/gi //regImgAudio
    var regVideoPath = /<(video|VIDEO)(\s|[^>]+)type(\=|\s\=\s)\"video\"([^>]+\>|\>)<\/(video|VIDEO)>/gi //regVideo

    //找到所有type="uploadImg"的img标签，加全路径
    content = content.replace(regImg, function(str) {

      str = str.replace(/src="/g, function(str1) {
        let result = 'src="' + path
        return result
      })
      return str;
    });

    //找到所有type="muisc"的audio标签，加全路径
    content = content.replace(regAudioPath, function(str) {
      str = str.replace(/src="/g, function(str1) {
        let result = 'src="' + path
        return result
      })
      return str;

    });

    //找到所有type="video"的video标签，加全路径
    content = content.replace(regVideoPath, function(str) {
      str = str.replace(/src="/g, function(str1) {
        let result = 'src="' + path
        return result
      })
      return str;
    });
    //	let base = /base64/g
    //	content = content.replace(/src="/g,function(body){
    //		let result = 'src="' + path
    //		return result
    //	});
    //处理base64图片
    //	content = content.replace(path+'data:image/png;'+base,function(str){
    //		let result = 'data:image/png;'+base
    //		return result
    //	});
    return content
  }
}

// 导出单例，方便直接使用
export default new DoPathBase()
