import { get, post, url} from '../index'
import axios from 'axios'
class ActivityApi {
  //活动统计
  @url('/tfedu-web-taolun/activity/statistics')
  @get
  activityState() {}

  //活动统计
  activityState2() {
    let url = 'http://zhl.tfedu.net/api/tfedu-web-taolun/activity/statistics?token=xxx'
    // 返回数据
    return axios.get(url)
  }

  //活动达人（老师）
  @url('/tfedu-web-taolun/activity/people/teacher')
  @get
  getTeacherList() {}
  //活动达人（学生）
  @url('/tfedu-web-taolun/activity/people/student')
  @get
  getStudentList() {}

  //活动排行
  @url('/tfedu-web-taolun/activity/school-ranking')
  @get
  getSchoolRank() {}

  //活动排行
  getSchoolRank2() {
    let url = 'http://zhl.tfedu.net/api/tfedu-web-taolun/activity/school-ranking?token=xxx'
    // 返回数据
    return axios.get(url)
  }

  // 按学科学校排行
  @url('/tfedu-web-taolun/activity/school-subject-ranking')
  @get
  getSubjectSchoolRank() {}

  // 按学科学校排行
  // 获取 学段
  getSubjectSchoolRank2(json) {
    let url = 'http://zhl.tfedu.net/api/tfedu-web-taolun/activity/school-subject-ranking?token=xxx'
    // 返回数据
    return axios.get(url)
  }

  // 获取作品列表
  @url("/tfedu-web-taolun/activity/all-list")
  @get
  getWorkList() {}
  //获取活动类型
  @url("/tfedu-web-taolun/activity/activity-type")
  @get
  getActivityType(){}
  //学校检索（模糊查询）
  @url("/tfedu-web-taolun/activity/schoolsearch.json")
  @get
  getSchoolSearch(){}

  //学校检索（模糊查询）
  getSchoolSearch2(){
    let url = 'http://zhl.tfedu.net/api/tfedu-web-taolun/activity/schoolsearch.json?token=xxx'
    // 返回数据
    return axios.get(url)
  }

  //班级列表
  @url("/tfedu-web-taolun/activity/classlist")
  @get
  getClassSearch(){}

  //班级列表
  getClassSearch2(json){
    let url = 'http://zhl.tfedu.net/api/tfedu-web-taolun/activity/classlist?token=xxx&schoolId=' + json.schoolId
    // 返回数据
    return axios.get(url)
  }


  //作品详情
  @url("/tfedu-web-taolun/activity/detail")
  @get
  getWorkDetail(){}
  //活动动态
  @url("/tfedu-web-taolun/activity/dynamic")
  @get
  getActivityTrends(){}
  //点赞
  @url("/tfedu-web-taolun/activity/like")
  @get
  getLike(){}
  //推荐作品
  @url("/tfedu-web-taolun/activity/recommend-list")
  @get
  getWorkRecommend(){}
  //参评作品
  @url("/tfedu-web-taolun/activity/join-list")
  @get
  getWorkJoin(){}
  //推荐判断
  @url("/tfedu-web-taolun/activity/recommend")
  @get
  getWorkReme(){}
  //参评判断
  @url("/tfedu-web-taolun/activity/join")
  @get
  getWorkJudge(){}
  //参评显影控制
  @url("/tfedu-web-taolun/activity/userstatus")
  @get
  getJudgePerson(){}
  getJudgePerson(){}
  //送过鲜花记录
  @url("/tfedu-web-taolun/common/flower/list")
  @get
  getFlower(){}
  //作品评论列表
  @url("/tfedu-web-taolun/activity/commentlist")
  @get
  getCommentlist(){}

  //交互分析接口
  @url("/vacation-analyze/social-connections")
  @get
  getSocialConnections(){}

  // 参与活动接口
  @url("/vacation-analyze/participation-activities")
  @get
  getParticipationActivities(){}

  // 参与作品接口
  @url("/vacation-analyze/participation-opus")
  @get
  getParticipationOpus(){}

  // 作品提交阶段汇总接口
  @url("/vacation-analyze/opus-month")
  @get
  getOpusMonth(){}

  // 作品提交时间汇总接口
  @url("/vacation-analyze/opus-time")
  @get
  getOpusTime(){}

  @url("/static/datatpl/res-best/drama.json")
  @get
  getDramaList(){}
}


// 单例模式
export default new ActivityApi()
