import { get, post, url} from '../index'

class Analyze{
  //  获取指定班级在指定学科下、指定时间范围下的练习的平均成绩统计
  @url("/learning-analyze/grade-class")
  @get
  getClassMark() {}

  //  获取指定班级在指定学科下、指定时间范围下的练习的平均成绩统计
  @url("/learning-analyze/grade-student")
  @get
  getStudentMark() {}

  // 获取指定班级在指定学科下、指定时间范围下的知识点、能力、方法的得分平均分统计
  @url("/learning-analyze/ability-class")
  @get
  getAbilityClass() {}

  // 获取指定用户在指定学科下、指定时间范围下的知识点、能力、方法的得分平均分统计
  @url("/learning-analyze/ability-student")
  @get
  getAbilityStudent() {}

  // 社交关系分析–获取指定班级（全部用户）在指定时间范围内的交互统计
  @url("/learning-analyze/interactive-class")
  @get
  getInteractiveClass() {}

  // 社交关系分析–获取指定班级（全部用户）在指定时间范围内的交互统计
  @url("/learning-analyze/interactive-student")
  @get
  getInteractiveStudent() {}

  // 课堂分析接口 指定班级、学科的全部授课记录的风格统计
  @url("/learning-analyze/class-style")
  @get
  getClassStyle() {}

  // 课堂分析接口 指定班级、学科下的全部记录的平均3度统计
  @url("/learning-analyze/class-dimension")
  @get
  getClassDimension() {}

  // 课堂分析接口 指定学科下班平均、校平均、区平均3度统计
  @url("/learning-analyze/class-compare")
  @get
  getClassCompare() {}

  // 课堂分析接口 指定班级、学科下的课堂记录3度分布
  @url("/learning-analyze/class-distribute")
  @get
  getClassDistribute() {}

  // 课堂分析接口 指定班级、学科、时间范围下班级、个人的课堂3度分布查询
  @url("/learning-analyze/class-student-distribute")
  @get
  getClassStudentDistribute() {}

  // 课堂分析接口  指定班级、学科 个人的平均3度统计
  @url("/learning-analyze/student-dimension")
  @get
  getStudentDimension() {}



}
export default new Analyze()
