import { get, post, url} from '../index'

class Wisdom {
  // 通用配置接口
  @url("/wisdom/config/get")
  @get
  getConfig() {}
  
  // 科目通用接口
  @url("/wisdom/subject/list")
  @get
  getSubjects() {}

  // 用户科目通用接口
  @url("/wisdom/usersubject/list4subject")
  @get
  getUserSubject() {}

  // 获取用户信息
  @url("/wisdom/user/detail")
  @get
  getUserInfo() {}

  // 获取用户班级
  @url("/wisdom/user/getUserClass")
  @get
  getUserClass() {}
  
  // 获取班级学生
  @url("/wisdom/userclass/list4student")
  @get
  getStudentList() {}
  
  // 通用文件上传url获取
  @url("/wisdom/user/get-upload-url")
  @get
  getUploadUrl() {}
  
  // 获取客户端上传HTML内容保存为文件的上传地址
  @url("/wisdom/user/fileserver/get-html-upload-url")
  @get
  saveHtml() {}
}



export default new Wisdom()
